Summary:	FastCGI interface module for Apache 2
Name:		mod_fcgid
Version:	2.3.9
Release:        5%{?dist}
License:	ASL 2.0
URL:		http://httpd.apache.org/mod_fcgid/
Source0:	http://www.apache.org/dist/httpd/mod_fcgid/mod_fcgid-%{version}.tar.bz2
Source1:	mod_fcgid-tmpfs.conf
Source2:	fcgid24.conf

Patch3000:	mod_fcgid-2.3.9-segfault-upload.patch
Patch3001:	mod_fcgid-2.3.9-r1848298.patch

BuildRequires: make pkgconfig coreutils gcc
BuildRequires: sed httpd-devel >= 2.4
BuildRequires: systemd-rpm-macros

Requires:	httpd-mmn = %{_httpd_mmn}
Requires:	systemd

%description
mod_fcgid is a binary-compatible alternative to the Apache module mod_fastcgi.
mod_fcgid has a new process management strategy, which concentrates on reducing
the number of fastcgi servers, and kicking out corrupt fastcgi servers as soon
as possible.

%prep
%autosetup -p1
cp -p %{SOURCE2} fcgid24.conf


%build
APXS=%{_httpd_apxs} ./configure.apxs
make

%install
%make_install MKINSTALLDIRS="mkdir -p"
mkdir -p %{buildroot}{%{_httpd_confdir},%{_httpd_modconfdir}}
echo "LoadModule fcgid_module modules/mod_fcgid.so" > %{buildroot}%{_httpd_modconfdir}/10-fcgid.conf
install -D -m 644 fcgid24.conf %{buildroot}%{_httpd_confdir}/fcgid.conf
install -d -m 755 %{buildroot}/run/mod_fcgid

rm -rf %{buildroot}%{_httpd_contentdir}/manual

install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/mod_fcgid.conf

%files
%license LICENSE-FCGID
%doc CHANGES-FCGID NOTICE-FCGID README-FCGID STATUS-FCGID
%doc docs/manual/mod/mod_fcgid.html.en modules/fcgid/ChangeLog
%doc build/fixconf.sed
%{_libdir}/httpd/modules/mod_fcgid.so
%config(noreplace) %{_httpd_modconfdir}/10-fcgid.conf
%config(noreplace) %{_httpd_confdir}/fcgid.conf
%{_tmpfilesdir}/mod_fcgid.conf
%dir %attr(0775,root,apache) /run/mod_fcgid/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.9-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 19 2023 cunshunxia <cunshunxia@tencent.com> - 2.3.9-4
- Rebuilt for httpd 2.4.57

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.3.9-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 cunshunxia <cunshunxia@tencent.com> - 2.3.9-1
- initial build
